uniform sampler2D map0;
uniform sampler2D map1;

varying vec2 texCoord0;

varying vec4 vertexColor;
varying vec4 fogVertexColor;

uniform vec3 colorMul0;
uniform vec3 colorMul1;
uniform vec3 colorMul2;

void main (void)
{
	float fogWeight=fogVertexColor.a;
	vec4 fogCol=vec4(fogVertexColor.rgb, 0.0);	
	
	vec4 col0 = texture2D(map0, texCoord0);
	vec4 blend = texture2D(map1, texCoord0);
	
	float w1=blend.r;
	float w2=blend.g;
	float w3=blend.b;
	
	gl_FragColor = (1.0-fogWeight) * (vertexColor*2*(vec4(col0.rgb*(1.0-w1)*(1.0-w2)*(1.0-w3),1.0)+vec4(col0.rgb*w1*colorMul0,1.0)+vec4(col0.rgb*w2*colorMul1,1.0)+vec4(col0.rgb*colorMul2*w3,1.0))) + fogCol;


}